"""Initial migration

Revision ID: 66a0d3756a5a
Revises: 
Create Date: 2022-09-17 17:58:38.118247

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '66a0d3756a5a'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('category',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=50), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('user',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('firstname', sa.String(length=50), nullable=True),
    sa.Column('surename', sa.String(length=50), nullable=True),
    sa.Column('password', sa.String(length=120), nullable=False),
    sa.Column('email', sa.String(length=120), nullable=False),
    sa.Column('birth', sa.DateTime(), nullable=True),
    sa.Column('phone', sa.String(length=50), nullable=True),
    sa.Column('icon', sa.String(length=150), nullable=True),
    sa.Column('city', sa.String(length=50), nullable=True),
    sa.Column('postcode', sa.Integer(), nullable=True),
    sa.Column('address', sa.String(length=50), nullable=True),
    sa.Column('registered', sa.DateTime(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('subcategory',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=50), nullable=True),
    sa.Column('category_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['category_id'], ['category.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('advert',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=50), nullable=True),
    sa.Column('subcategory_id', sa.Integer(), nullable=True),
    sa.Column('user_id', sa.Integer(), nullable=True),
    sa.Column('description', sa.String(length=2000), nullable=False),
    sa.Column('price', sa.Numeric(), nullable=True),
    sa.Column('photos', sa.String(length=2000), nullable=True),
    sa.Column('location', sa.String(length=50), nullable=True),
    sa.Column('zip', sa.Integer(), nullable=True),
    sa.Column('address', sa.String(length=50), nullable=True),
    sa.Column('published', sa.DateTime(), nullable=True),
    sa.ForeignKeyConstraint(['subcategory_id'], ['subcategory.id'], ),
    sa.ForeignKeyConstraint(['user_id'], ['user.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('advert')
    op.drop_table('subcategory')
    op.drop_table('user')
    op.drop_table('category')
    # ### end Alembic commands ###
